import greenfoot.Actor;
import greenfoot.GreenfootImage;

import java.awt.Color;

/**
 * Representation of a counter
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class Counter extends Actor {
	private static final Color textColor = new Color(0, 0, 0);
	private int value = 0;
	private String text;

	public Counter() {
		this("");
	}

	public Counter(String prefix) {
		this.text = prefix;
		this.setImage(new GreenfootImage((this.text.length() + 4) * 10, 16));
		this.getImage().setColor(Counter.textColor);
		this.updateImage();
	}

	void reset() {
		this.value = 0;
		this.updateImage();
	}

	void add(int score) {
		this.value += score;
		this.updateImage();
	}

	void subtract(int score) {
		this.value -= score;
		this.updateImage();
	}

	int getValue() {
		return this.value;
	}

	void updateImage() {
		GreenfootImage image = this.getImage();
		image.clear();
		image.drawString(this.text + this.value, 1, 12);
	}
}
