import greenfoot.Actor;
import greenfoot.GreenfootImage;

/**
 * Representation of a dustbin.
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public abstract class Dustbin extends Actor {

	protected GreenfootImage imageClosed;
	protected GreenfootImage imageOpen;

	protected int type;
	protected boolean closed;

	public Dustbin(int type) {
		this.type = type;
		this.imageClosed = new GreenfootImage("dustbin-" + type + "-closed.gif");
		this.imageOpen = new GreenfootImage("dustbin-" + type + "-open.gif");
		this.closed = false;
		this.setClosed();
	}

	public void setClosed() {
		if (!this.closed) {
			this.closed = true;
			this.setImage(this.imageClosed);
		}
	}

	public void setOpen() {
		if (this.closed) {
			this.closed = false;
			this.setImage(this.imageOpen);
		}
	}

	public int getType() {
		return this.type;
	}
}
